Summary:	Programs for backing up and restoring filesystems
Name:		dump
Version:		0.4b47
Release:	%mkrel 1
License:	BSD
Group:		Archiving/Backup
URL:		http://sourceforge.net/projects/dump/
Source: 	ftp://osdn.dl.sourceforge.net/pub/sourceforge/d/du/%{name}/%{name}-%{version}.tar.xz
Patch3:		dump-0.4b37-compile-fix.patch
Patch4:		dump_progname_mips.patch
Requires:	rmt = %{version}-%{release}
BuildRequires:	libblkid-devel
BuildRequires:	ncurses-devel
BuildRequires:	termcap-devel
BuildRequires:	readline-devel
BuildRequires:	zlib-devel
BuildRequires:	bzip2-devel
BuildRequires:	openssl-devel
BuildRequires:	e2fsprogs-devel
BuildRequires:	liblzo-devel

Requires:	rmt = %{version}-%{release}

%description
The dump package contains both dump and restore.  Dump examines files in
a filesystem, determines which ones need to be backed up, and copies
those files to a specified disk, tape or other storage medium.  The
restore command performs the inverse function of dump; it can restore a
full backup of a filesystem.  Subsequent incremental backups can then be
layered on top of the full backup.  Single files and directory subtrees
may also be restored from full or partial backups.

%package -n	rmt
Summary:	Provides certain programs with access to remote tape devices
Group:		Archiving/Backup
Provides:	/sbin/rmt

%description -n	rmt
The rmt utility provides remote access to tape devices for programs
like dump (a filesystem backup program), restore (a program for
restoring files from a backup) and tar (an archiving program).

%prep
%setup -q
%apply_patches


rm -f compat/include/{lzoconf,minilzo}.h
rm -f compat/lib/minilzo.c

autoreconf -fi

%build
%configure2_5x \
	--with-manowner=root \
	--with-mangrp=root \
	--with-manmode=644 \
	--enable-ermt \
	--disable-kerberos \
	--disable-transselinux
	

%make_build OPT="$RPM_OPT_FLAGS -fPIC -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes -Wno-char-subscripts"

%install
%make_install

for i in dump restore; do
  mv %{buildroot}%{_sbindir}/$i %{buildroot}%{_sbindir}/$i.ext3
  ln -s $i.ext3 %{buildroot}%{_sbindir}/$i.ext2
  ln -s $i.ext3 %{buildroot}%{_sbindir}/$i
done

pushd %{buildroot}
  mkdir .%{_sysconfdir}
  > .%{_sysconfdir}/dumpdates
  ln -s ..%{_sbindir}/rmt ./%{_sysconfdir}/rmt
popd

%files
%attr(0664,root,disk)	%config(noreplace) %{_sysconfdir}/dumpdates
%{_sbindir}/dump*
%{_sbindir}/restore*
%{_sbindir}/rdump
%{_sbindir}/rrestore
%{_mandir}/man8/dump.8*
%{_mandir}/man8/rdump.8*
%{_mandir}/man8/restore.8*
%{_mandir}/man8/rrestore.8*

%files -n rmt
%{_sbindir}/ermt
%{_sbindir}/rmt
%{_sysconfdir}/rmt
%{_mandir}/man8/rmt.8*


%changelog
* Fri Sep 30 2022 tex - 0.4b47-1pclos2022
- new version

* Sat May 04 2019 tex - 0.4b46-3pclos2019
- rebuild against updates

* Wed Jan 16 2019 tex - 0.4b46-2pclos2019
- rebuild against updates

* Sun Jul 09 2017 bb2 <bb2> - 0.4b46-1pclos2017
- new version
